Bug 238917 - net-mgmt/alertmanager: Switch to USES=go:modules, fix build with go1.13beta1
Summary: net-mgmt/alertmanager: Switch to USES=go:modules, fix build with go1.13beta1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias Kortkamp
URL:
Keywords: easy
Depends on:
Blocks:
 
Reported: 2019-07-01 13:10 UTC by Dmitri Goutnik
Modified: 2019-07-26 07:36 UTC (History)
1 user (show)

See Also:
michal: maintainer-feedback+


Attachments
patch file (1.03 KB, patch)
2019-07-01 13:10 UTC, Dmitri Goutnik
michal: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2019-07-01 13:10:27 UTC
Created attachment 205458 [details]
patch file

===>  Building for alertmanager-0.16.2
go: github.com/DataDog/datadog-go@v0.0.0-20180822151419-281ae9f2d895: G
et https://proxy.golang.org/github.com/%21data%21dog/datadog-go/@v/v0.0
.0-20180822151419-281ae9f2d895.mod: dial tcp: lookup proxy.golang.org o
n 1.0.0.1:53: write udp 127.0.0.1:45569->1.0.0.1:53: write: permission
denied
*** Error code 1

- Switch to USES=go:modules, this also fixes the build with go1.13beta1
- Remove unneeded targets

QA:
  poudriere testport: OK (120a-go1.12.6, 120a-go1.13beta1)
Comment 1 michal 2019-07-07 21:05:11 UTC
Thanks a lot (and sorry for the latency)
Comment 2 commit-hook freebsd_committer 2019-07-26 07:36:09 UTC
A commit references this bug:

Author: tobik
Date: Fri Jul 26 07:36:02 UTC 2019
New revision: 507343
URL: https://svnweb.freebsd.org/changeset/ports/507343

Log:
  net-mgmt/alertmanager: Switch to USES=go:modules

  - Remove unneeded targets
  - Fix build with go1.13beta1

  ===>  Building for alertmanager-0.16.2
  go: github.com/DataDog/datadog-go@v0.0.0-20180822151419-281ae9f2d895: G
  et https://proxy.golang.org/github.com/%21data%21dog/datadog-go/@v/v0.0
  .0-20180822151419-281ae9f2d895.mod: dial tcp: lookup proxy.golang.org o
  n 1.0.0.1:53: write udp 127.0.0.1:45569->1.0.0.1:53: write: permission
  denied
  *** Error code 1

  PR:		238917
  Submitted by:	Dmitri Goutnik <dg@syrec.org>
  Approved by:	michal@hanu.la (maintainer)

Changes:
  head/net-mgmt/alertmanager/Makefile